/*
 * (c) 2011 Siegen, Germany by Nils Faerber <nils.faerber@kernelconcepts.de>
 *
 * license LGPL
 */

#ifndef _MW_PROT_H
#define _MW_PROT_H

#define MW_SOF				0x01

#define MW_GET_DEVICE_TYPE		0x01
#define MW_GET_DEVICE_TYPE_RSP		0x02
#define MW_GET_INFORMATION_STRING	0x03
#define MW_GET_INFORMATION_STRING_RSP	0x04

#define MW_ADVANCE_WATCH_HANDS		0x20
#define MW_SET_VIBRATE_MODE		0x23

#define MW_SET_REAL_TIME_CLOCK		0x26
#define MW_GET_REAL_TIME_CLOCK		0x27
#define MW_GET_REAL_TIME_CLOCK_RSP	0x28

#define MW_RTC_CLOCK_12HR		0x00
#define MW_RTC_CLOCK_24HR		0x01
#define MW_RTC_DATE_MMDD		0x00
#define MW_RTC_DATE_DDMM		0x01

#define MW_RESERVED			0x32
#define MW_STATUS_CHANGE_EVENT		0x33
#define MW_BUTTON_EVENT_MESSAGE		0x34

#define MW_WRITE_BUFFER			0x40
#define MW_CONFIGURE_MODE		0x41
#define MW_CONFIGURE_IDLE_BUFFER_SIZE	0x42
#define MW_UPDATE_DISPLAY		0x43
#define MW_LOAD_TEMPLATE		0x44
#define MW_RESERVED2			0x45
#define MW_ENABLE_BUTTON		0x46
#define MW_DISABLE_BUTTON		0x47
#define MW_READ_BUTTON_CONFIG		0x48
#define MW_READ_BUTTON_CONFIG_RSP	0x49
#define MW_RESERVED3			0x4a

#define MW_BATTERY_CONFIG_MSG		0x53
#define MW_LOW_BATTERY_WARNING_MSG	0x54
#define MW_LOW_BATTERY_BT_OFF_MSG	0x55
#define MW_READ_BATTERY_VOLTAGE_MSG	0x56
#define MW_READ_BATTERY_VOLTAGE_RSP	0x57
#define MW_READ_LIGHT_SENSOR_MSG	0x58
#define MW_READ_LIGHT_SENSOR_RSP	0x59
#define MW_ACCELEROMETER		0xea


#define MW_SCREEN_MODE_IDLE		0x00
#define MW_SCREEN_MODE_APPLICATION	0x01
#define MW_SCREEN_MODE_NOTIFICATION	0x02
#define MW_SCREEN_MODE_SCROLL		0x03


#endif

